Spaces method and path for this operation:
post /s/{space_id}/api/fleet/agents/actions/{actionId}/cancel
Refer to Spaces for more information.
Cancel a pending action for a specific agent.
[Required authorization] Route required privileges: fleet-agents-all.
POST
/api/fleet/agents/actions/{actionId}/cancel
curl \
--request POST 'https://<KIBANA_URL>/api/fleet/agents/actions/{actionId}/cancel' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--header "kbn-xsrf: true" \
--data '{"description":"Cancel an agent action","value":{}}'
Request example
Cancel an agent action
{
"description": "Cancel an agent action",
"value": {}
}
Response examples (200)
Cancellation action created
{
"item": {
"agents": [
"agent-id-1"
],
"created_at": "2024-01-01T00:00:00.000Z",
"id": "cancel-action-id-1",
"type": "CANCEL"
}
}
Response examples (400)
Example of a generic error response
{
"error": "Bad Request",
"message": "An error message describing what went wrong",
"statusCode": 400
}